#pragma once

#define JOIN_TYPE_NONE						0
#define JOIN_TYPE_DUMMY						1
#define JOIN_TYPE_REAL						2

class CChatUser
{
public:
	CChatUser(void);
	~CChatUser(void);	

	void				SetID(LPCTSTR strID) { m_strID = strID; }
	void				SetName(LPCTSTR strName) { m_strName = strName; }
	void				SetNickName(LPCTSTR strNickName) { m_strNickName = strNickName; }
	void				SetEmail(LPCTSTR strEmail) { m_strEmail = strEmail; }
	void				SetExtensionTel(LPCTSTR strExtensionTel) { m_strExtensionTel = strExtensionTel; }
	void				SetIncoTel(LPCTSTR strIncoTel) { m_strIncoTel = strIncoTel; }
	void				SetCellphone(LPCTSTR strCellphone) { m_strCellphone = strCellphone; }
	void				SetJobPos(LPCTSTR strJobPos) { m_strJobPos = strJobPos; }
	void				SetJobDuty(LPCTSTR strJobDuty) { m_strJobDuty = strJobDuty; }
	void				SetDeptNm(LPCTSTR strDeptNm) { m_strDeptNm = strDeptNm; }
	void				SetStatus(GTUserStatusType status);
	void				SetIptStatus(NTIPTStatusType iptStatus) { m_iptStatus = iptStatus; }
	void				SetInviteStatus(BOOL bInviteStatus);
	void				SetDragData(const CNtalkDragData& data);
	void				SetGTBuddyUser(const IGTBuddyUser* pUser);
	void				SetMemberData(const NE_MEMBER_DATA& data);
	void				SetUserInfoLoad(BOOL bUserInfoLoaded) { m_bUserInfoLoaded = bUserInfoLoaded; }
		
	CString				GetID() const { return m_strID; }
	CString				GetName() { return m_strName; }
	CString				GetNickName() { return m_strNickName; }
	CString				GetEmail() { return m_strEmail; }
	CString				GetExtensionTel() { return m_strExtensionTel; }
	CString				GetIncoTel() { return m_strIncoTel; }
	CString				GetCellphone() { return m_strCellphone; }
	CString				GetJobPos() { return m_strJobPos; }
	CString				GetJobDuty() { return m_strJobDuty; }
	CString				GetDeptName() { return m_strDeptNm; }
	GTUserStatusType	GetStatus() { return m_status; }
	NTIPTStatusType		GetIptStatus() { return m_iptStatus; }
	BOOL				IsInvited() { return m_bInviteStatus; }
	BOOL				IsUserInfoLoaded() { return m_bUserInfoLoaded; }

private:
	CString				m_strID;			
	CString				m_strName;		
	CString				m_strNickName;
	CString				m_strExtensionTel;
	CString				m_strIncoTel;
	CString				m_strCellphone;
	CString				m_strJobPos;
	CString				m_strJobDuty;
	CString				m_strDeptNm;
	CString				m_strEmail;
	GTUserStatusType	m_status;
	NTIPTStatusType		m_iptStatus;
	BOOL				m_bInviteStatus; // true :  ʴ밡 Ǿ , false : ʴ밡 Ǳ  
	int					m_nJoinType;
	BOOL				m_bUserInfoLoaded;		//   Ͻ  ̹ Դ 
};
